poly {base} | R Documentation

## Compute Orthogonal Polynomials

### Description

Returns orthogonal polynomials of degree 1 to `degree` over the specified set of points `x`. These are all orthogonal to the constant polynomial of degree 0.

### Usage

    poly(x, degree=1)

### Arguments

`x` | a numeric vector at which to evaluate the polynomial
`degree` | the degree of the polynomial

### Value

A matrix with rows corresponding to points in `x` and columns corresponding to the degree, with attributes `"degree"` specifying the degrees of the columns and `"coefs"` which contains the centring and normalization constants used in constructing the orthogonal polynomials.

### Note

This routine is intended for statistical purposes such as `contr.poly`: it does not attempt to orthogonalize to machine accuracy.

### Author(s)

B.D. Ripley

### See Also

`contr.poly`

### Examples

    poly(1:10, 3)

[Package Contents]